import { UpdateQuoteUseCase } from "@/contexts/sales/application";
import { registerQuoteRepository } from "../../../../Quote.repository";
import { ISalesContext } from "../../../../Sales.context";
import { UpdateQuoteController } from "./UpdateQuote.controller";
import { UpdateQuotePresenter } from "./presenter/UpdateQuote.presenter";

export const updateQuoteController = (context: ISalesContext) => {
  registerQuoteRepository(context);
  return new UpdateQuoteController(
    {
      useCase: new UpdateQuoteUseCase(context),
      presenter: UpdateQuotePresenter,
    },
    context
  );
};
